# $Revision: 1.10 $, $Date: 2002/10/18 19:53:03 $
Summary:	An open-source memory debugger for x86-GNU/Linux
Summary(pl):	Otwarty odpluskwiacz pamici dla Linuksa x86
Name:		valgrind
Version:	1.0.4
Release:	1
License:	GPL
ExclusiveArch:	%{ix86}
Group:		Networking/Utilities
Source0:	http://developer.kde.org/~sewardj/%{name}-%{version}.tar.bz2
URL:		http://developer.kde.org/~sewardj/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Valgrind binaries should _never_ be stripped
%define		no_install_post_strip	1

# Same name as libpthread
%define		_noautoprovfiles %{_libdir}/%{name}/libpthread.so.0 %{_libdir}/%{name}/libpthread.so %{_libdir}/%{name}/valgrind.so %{_libdir}/%{name}/valgrinq.so

%description
Valgrind is a GPL'd tool to help you find memory-management problems
in your programs. When a program is run under Valgrind's supervision,
all reads and writes of memory are checked, and calls to
malloc/new/free/delete are intercepted. As a result, Valgrind can
detect problems such as:

- Use of uninitialised memory
- Reading/writing memory after it has been free'd
- Reading/writing off the end of malloc'd blocks
- Reading/writing inappropriate areas on the stack
- Memory leaks -- where pointers to malloc'd blocks are lost forever
- Passing of uninitialised and/or unaddressible memory to system calls
- Mismatched use of malloc/new/new [] vs free/delete/delete []
- Some misuses of the POSIX pthreads API

%description -l pl
Valgrind jest narzdziem rozwizujcym problemy zwizane z zarzdzaniem
pamici w programach. Gdy program zostaje uruchomiony pod nadzorem
Valgrinda wszystkie odczyty i zapisy do pamici s sprawdzane.
Przechwytywane s te odwoania do malloc/new/free/delete. Dziki temu
mona wykry nastpujce problemy:

- Uycie niezainicjalizowanej pamici
- Odczytywanie/zapisywanie do obszaru pamici, ktry zosta zwolniony
- Odczytywanie/zapisywanie na kocach zaalokowanych blokw
- Odczytywanie/zapisywanie niewaciwych obszarw na stosie
- Wycieki pamici -- gdy wskaniki do zaalokowanych blokw s stracone na
  zawsze
- Przekazywanie niezainicjalizowanej i/lub nieadresowalnej pamici do
  odwoa systemowych
- Niekonsekwencja w uywaniu malloc/new/new [] kontra free/delete/delete []
- Niektre naduycia API POSIX pthreads

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	LDFLAGS="" # no strip!
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS ChangeLog PATCHES_APPLIED
%doc README README_MISSING_SYSCALL_OR_IOCTL TODO
%doc docs/*.html
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: valgrind.spec,v $
Revision 1.10  2002/10/18 19:53:03  wolf
- 1.0.4
STBR

Revision 1.9  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/09/24 06:45:29  jajcus
- Version: 1.0.3

Revision 1.7  2002/08/28 16:51:29  misiek
- updated to 1.0.1

Revision 1.6  2002/08/04 10:45:24  misiek
- _noautoprovfiles for valgrind modules; rel 3

Revision 1.5  2002/08/02 17:13:37  kloczek
- release 2.

Revision 1.4  2002/08/02 11:10:52  jajcus
- proper not-stripping of binaries (thanks to arekm)

Revision 1.3  2002/08/02 07:52:03  qboosh
- typo

Revision 1.2  2002/08/01 14:24:38  wolf
- pl desc

Revision 1.1  2002/08/01 10:25:15  jajcus
- new spec
